Get account statements

Retrieve a paginated list of monthly statements for a specific account. Supports cursor-based pagination with limit, order, start_after, and end_before query parameters, as well as date range filtering with start and end parameters.

Path Params
uuid
required

ID for a Mercury account.

Query Params
int64
1 to 1000
Defaults to 1000

Maximum number of results to return. Allowed range: 1 to 1000. Defaults to 1000

string
enum
Defaults to desc

Sort order. Can be 'asc' or 'desc'. Defaults to 'desc'

Allowed:
uuid

The ID of the statement to start the page after (exclusive). When provided, results will begin with the statement immediately following this ID. Use this for standard forward pagination to get the next page of results. Cannot be combined with end_before.

uuid

The ID of the statement to end the page before (exclusive). When provided, results will end just before this ID and work backwards. Use this for reverse pagination or to retrieve previous pages. Cannot be combined with start_after.

string

Filter statements where the period start date is on or after this date. Format: YYYY-MM-DD

string

Filter statements where the period start date is on or before this date. If the date is in the future, defaults to the current date. Format: YYYY-MM-DD

Responses

400

Invalid end or start or end_before or start_after or order or limit

404

accountId not found

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json